Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455323 - No support for upstream /proc/sys/kernel/nmi_watchdog.
Summary: No support for upstream /proc/sys/kernel/nmi_watchdog.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Don Zickus
QA Contact: Igor Zhang
URL:
Whiteboard:
: 500845 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 20:10 UTC by David Bein
Modified: 2011-01-13 20:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 20:42:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description David Bein 2008-07-14 20:10:47 UTC
Description of problem:

Upstream kernels from 2.6.19 (and later) have support for dynamically
disabling/enabling NMI watchdog support after initial setup
(only controlled by boot line parameters). Am wondering which
release of RH5 will have this ability (if any).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Don Zickus 2010-04-20 18:23:58 UTC
oddly /proc/sys/kernel/unknown_nmi_panic accomplishes the same thing with the quirk of panicing when an unknown nmi comes in.  It should probably be changed but if it isn't urgent we may just leave RHEL-5 as is. 

Cheers,
Don

Comment 2 David Bein 2010-04-20 19:02:13 UTC
(In reply to comment #1)
> oddly /proc/sys/kernel/unknown_nmi_panic accomplishes the same thing with the
> quirk of panicing when an unknown nmi comes in.  It should probably be changed
> but if it isn't urgent we may just leave RHEL-5 as is. 
> 
> Cheers,
> Don    

Yes it does, but having the system panic if it is not set is (as you mention)
not terribly friendly. I think this ought to be fixed so that we could turn
off both the NMI watchdog and the panic on unknown NMI's.

It's not particularly urgent at this point. Mostly this is about kernel.org
compatibility from a script/setup perspective.

Comment 4 RHEL Product and Program Management 2010-08-27 18:30:15 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 Jarod Wilson 2010-09-10 21:37:27 UTC
in kernel-2.6.18-219.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 10 Igor Zhang 2010-10-28 08:58:39 UTC
A minor problem.
nmi_watchdog can accept a value of -1 and set itself as 1, is this ok?
[root@intel-s3e3144-05 ~]# echo 0 > /proc/sys/kernel/nmi_watchdog 
[root@intel-s3e3144-05 ~]# cat /proc/sys/kernel/nmi_watchdog 
0
[root@intel-s3e3144-05 ~]# echo -1 > /proc/sys/kernel/nmi_watchdog 
[root@intel-s3e3144-05 ~]# cat /proc/sys/kernel/nmi_watchdog 
1

Comment 13 David Bein 2010-10-28 12:55:32 UTC
(In reply to comment #10)
> A minor problem.
> nmi_watchdog can accept a value of -1 and set itself as 1, is this ok?
> [root@intel-s3e3144-05 ~]# echo 0 > /proc/sys/kernel/nmi_watchdog 
> [root@intel-s3e3144-05 ~]# cat /proc/sys/kernel/nmi_watchdog 
> 0
> [root@intel-s3e3144-05 ~]# echo -1 > /proc/sys/kernel/nmi_watchdog 
> [root@intel-s3e3144-05 ~]# cat /proc/sys/kernel/nmi_watchdog 
> 1

This should be fine. I think the upstream kernel.org version behaves
in the same way.

Comment 16 Jarod Wilson 2010-11-08 22:33:29 UTC
*** Bug 500845 has been marked as a duplicate of this bug. ***

Comment 18 errata-xmlrpc 2011-01-13 20:42:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.